
#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include <va/va_x11.h>

//#define YADIF_DEBUG 1

extern void vdr_plg_shddev_nv12ToUV_sse2(uint8_t *dstU, uint8_t *dstV, const uint8_t *src, int width);
extern void vdr_plg_shddev_UVTonv12_ssse3(uint8_t *dst, const uint8_t *srcU, const uint8_t *srcV, int width);

typedef struct {
	uint8_t* yuv[3];
	int height[3];
	int width[3];
	int pitch[3]; // stored width
	int yuvsize;
} vaapi_yadif_img;

void VaapiYadif (VADisplay *display, VAImage *src, VAImage *dst1,
    VAImage *dst2, vaapi_yadif_img *buf_imgs[], int tff, int skip_spatial);
